#
# spec file for package appcenter
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           appcenter
Version:        0.2.3
Release:        1.1
Summary:        Browse and manage apps
License:        GPL-3.0
Group:          System/GUI/Other
Url:            https://launchpad.net/appcenter
Source:         https://launchpad.net/appcenter/loki/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  elementary-cmake-modules
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libxml2-tools
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(appstream) >= 0.10.3
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0) >= 2.46
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(packagekit-glib2)
BuildRequires:  pkgconfig(vapigen) >= 0.28
Recommends:     %{name}-lang
Recommends:     libzypp-plugin-appdata
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AppCenter is a native Gtk+ app store built on AppStream and Packagekit.

%lang_package

%prep
%setup -q

sed -i 's/\/metainfo/\/appdata/' $(grep -rl 'metainfo')

%build
%cmake -DGSETTINGS_COMPILE=FALSE -DUSE_UNITY=FALSE
make %{?_smp_mflags}

%install
%cmake_install
%find_lang %{name}

%suse_update_desktop_file -r -G AppCenter io.elementary.%{name} GTK System PackageManager

%fdupes %{buildroot}%{_datadir}

%post
%glib2_gsettings_schema_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/io.elementary.%{name}.desktop
%{_datadir}/applications/io.elementary.%{name}-daemon.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/io.elementary.%{name}.gschema.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Thu Jun  1 2017 avvissu@yandex.by
- Update to 0.2.3:
  * Load more screenshots (#325)
  * Fix AppCenter crash with empty package cache (#321)
* Thu May 25 2017 avvissu@yandex.by
- Update to 0.2.2:
  * Allow putting a slash for the date (#298)
  * revert to last known good rev
    'refs/remotes/origin/master'
  * update po files
* Sun May 21 2017 avvissu@yandex.by
- Update to 0.2.1:
  * Provide a custom error message from stripe (#282)
  * Move the banner left and right (#287)
* Wed May 17 2017 avvissu@yandex.by
- Update to 0.2:
  * update translation template
  * Add privacy info (#273)
  * Synchronously register the DBus interface (#256)
  * Add screenshot and tagline (#272)
  * fix broken translations link (#267)
  * Don't put an author name on system updates (#253)
  * Merge remote-tracking branch 'origin/master'
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Dutch)
  * Translated using Weblate (English (United Kingdom))
  * ...
* Fri Mar 17 2017 avvissu@yandex.by
- Update to 0.1.4:
  * appdata: minor string updates
  * Add release information to the AppData.xml
  * Fix open button appearing on apps which cannot be launched
  * Trigger search if "appstream://" URL is not recognised.
  * Set a minimum size for the main window.
  * Use lazy loading of apps in categories and search.
  * This removes the limit of results that can appear in the
    search view.
  * Show package versions in update tabs instead of summary
  * Show the version of available updates in the info view
    instead of installed version
  * Remove unused AppCellRenderer.vala
  * Updated translation template
  * Add open button to open apps from appcenter
  * Use GObject-style construction
  * Cache properties
  * Fix link handling so that it shows the package even if the
    window is already shown
  * Add support for appstream links
  * Quit on Ctrl + Q
* Wed Dec  7 2016 avvissu@yandex.by
- Update to 0.1.3:
  * Fix crash with appstream entries that have no package
  * Use one task accross the class
  * Fix code-style issues
  * Cache used members / variables
- Spec file cleanup
* Sun Oct 30 2016 mailaender@opensuse.org
- update to version 0.1.2
* Sun Oct  2 2016 mailaender@opensuse.org
- update to version 0.1.1
- recommend libzypp-plugin-appdata
* Sat Sep 10 2016 mailaender@opensuse.org
- update to stable version 0.1
* Fri May  6 2016 mailaender@opensuse.org
- update to version 0.1+r193
* Sat Sep 26 2015 and.november@opensuse.org
- initial package (version 0.1+r2) for build.opensuse.org
